/****************************************************************/
/*                                                              */
/*  chk.v                                                       */
/*                                                              */
/*  Author:   Tianmo Lei (tm2008@yahoo.com)                     */
/*  Version:  V0.1                                              */
/*  Date:     Feb 15, 2002                                      */
/*  Additional information is avaliable in the Readme.txt       */
/*                                                              */
/****************************************************************/
/*                                                              */
/* Copyright (C) 2002 Tianmo Lei                                */
/*                                                              */
/* This source file may be used and distributed without         */
/* restriction provided that this copyright statement is not    */
/* removed from the file and that any derivative work contains  */
/* the original copyright notice and the associated disclaimer. */
/*                                                              */
/* This source file is free software; you can redistribute it   */
/* and/or modify it under the terms of the GNU Lesser General   */
/* Public License as published by the Free Software Foundation; */
/* either version 2.1 of the License, or (at your option) any   */
/* later version.                                               */
/* This source is distributed in the hope that it will be       */
/* useful, but WITHOUT ANY WARRANTY; without even the implied   */
/* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR      */
/* PURPOSE. See the GNU Lesser General Public License for more  */
/* details.                                                     */
/*                                                              */
/****************************************************************/

initial begin
 $gr_waves_memsize(1000000);
 $gr_waves(
// 	"xtal1", xtal1,
// 	"ale", ale,
// 	"psen",psen,
// 	"ph1", l8051.ph1,
 	"state1", l8051.state1,
//	"p0_sel", l8051.p0_sel,
// 	"ph2", l8051.ph2,
// 	"cycle1", l8051.cycle1,
//	"p2_sel", l8051.p2_sel,
 	"pc", l8051.pc,
        "ir1", l8051.ir1,
// 	"ir2", l8051.ir2,
// 	"ir3", l8051.ir3,
 	"acc", l8051.acc,
 	"b", l8051.b_reg,
// 	"d8bus", l8051.d8bus,
// 	"d1bus", l8051.d1bus,
// 	"a8bus", l8051.a8bus,
// 	"lstcyc", l8051.lastcyc,
//	"int_i", l8051.int_i,
	"int_r", l8051.int_r,
//	"TF1", l8051.TF1,
//	"int_flg", l8051.int_flg,
//      "ieflg", l8051.ie_flg,
// 	"d8__pl", l8051.d8_to_a16b_l,
//      "py", l8051.py ,
//        "int0", l8051.int0 ,
//        "int1", l8051.int1 ,
        "th0", l8051.th0,
        "tl0", l8051.tl0,
        "th1", l8051.th1,
        "tl1", l8051.tl1,
//        "cntr1_Ov", l8051.cntr1_Ov,
//        "rcntr", l8051.rcntr,
//        "rcvbuf", l8051.rcvbuf,
//        "sbufr", l8051.sbufr,
//        "rcntr7", l8051.rcntr7,
        "TI", l8051.TI,
// 	"5eh", l8051.ram2[94],
//        "j", l8051.j,
        "RI", l8051.RI,
	"TF0", l8051.TF0,
// 	"rxd", l8051.rxd,
//        "sm1", l8051.sm1,
//        "sm2", l8051.sm2,
//        "sm3", l8051.sm3,
//        "new_int", l8051.new_int,
//        "crt_int", l8051.crt_int,
// 	"A", a,
// 	"a16bus",l8051.a16bus,
//	"p0_t_a", l8051.p0_to_a8,
// 	"p1", p1,
// 	"p2", p2,
//	"p0_oe", l8051.p0_oe,
// 	"tcon",l8051.tcon,
// 	"tmod",l8051.tmod,
// 	"scon",l8051.scon,
// 	"i_bytes", l8051.i_byte,
// 	"i2_t_d", l8051.ir2_to_d8,
// 	"i3_t_d", l8051.ir3_to_d8,
// 	"d8__pl", l8051.d8_to_pc_l,
// 	"d8__ph", l8051.d8_to_pc_h,
//	"wr_acc", l8051.wr_acc,
//	"rd_acc", l8051.rd_acc,
//	"dptr", l8051.dptr,
//	"rn_t_a", l8051.rn_to_a8,
//	"ri_t_a", l8051.ri_to_a8,
//	"a16_buf", l8051.a16buf,
//	"a16_h", l8051.a16b_h_to_a16_l,
//	"a16_z", l8051.zero_to_a16_h,
//	"ext_rw", l8051.ext_rw,
//	"srcb", l8051.srcb,
//	"alu_op", l8051.alu_op,
//	"tmpb", l8051.tmpb,
//	"tmp1", l8051.tmp1,
//	"tmp2", l8051.tmp2,
//	"d8_1", l8051.d8bus[0],
//	"des", l8051.des,
//	"ld_tmpb", l8051.ld_tmpb,
// 	"desCy", l8051.desCy,
 	"Cy", l8051.Cy,
 	"Ov", l8051.Ov,
 	"ip.2", l8051.PX1
//	"5fh", l8051.ram2[95]
//	"x_rd", l8051.x_rd,
//	"x_wr", l8051.x_wr,
//	"p3", p3,
//	"p3_o", l8051.p3_o,
//	"p3_oe", l8051.p3_oe,
//	"p2_oe", l8051.p2_oe,
//	"p0_oe", l8051.p0_oe,
//	"p3_6", p3[6],
//	"p3_7", p3[7],
//	"ram_O", ram.OE,
//	"ram_W", ram.WE,
//	"ram_A", ram.A,
//	"ram_DQ", ram.DQ,
// 	"rom_Q", rom.Q,
// 	"p0", p0
// 	"p0_o", l8051.p0_o,
// 	"p0_i", l8051.p0_i,
//	"d__16l", l8051.d8_to_a16b_l,
//	"16l__a", l8051.a16b_l_to_a8,
//	"Z_reg", l8051.Z_reg,
// 	"rd_ram_b", l8051.rd_ram_b,
// 	"wr_ram_b", l8051.wr_ram_b
// 	"txd", l8051.txdbuf,
// 	"sio", sio,
//	"p3_o", l8051.p3_o,
// 	"373QI",latch.QI,
// 	"373E", latch.E,
// 	"373D", latch.D,
// 	"p0_o", l8051.p0_o,
// 	"p2_o", l8051.p2_o
 	);
 end
 
